section { 
  max-width: $base-width * 1px;
  margin: 0 auto $site-gutter; 
  padding: 0px $site-gutter; 
  @include clearfix;
    
  > div, > header { 
    display: flex;
    flex-wrap: wrap;
    margin: 0 auto; 
    @include clearfix;
    
    @include respond-to(md) {
      min-width: 720px;
      max-width: 940px;
    }

    &.fluid {
      margin: 0;
      max-width: 100%;
    }

    @each $modifier, $breakpoint in $map-grid-props {
      @include build-flex-grid-classes($modifier, $site-column-count, $breakpoint);
    }
  }
}